#
#  @(#) $Id: Makefile.config,v 1.9 2003/06/18 15:13:33 hiro Exp $
# 

#
#	Makefile のプロセッサ依存部（M68040用）
#

#
#  ターゲットアーキテクチャの定義
#
TARGET = m68k-unknown-elf

#
#  コンパイルオプション
#
INCLUDES := $(INCLUDES) -I$(SRCDIR)/config/$(CPU)
COPTS := $(COPTS) -Wall -g -O2 -m68020-40

#
#  カーネルに関する定義
#
KERNEL_DIR := $(KERNEL_DIR):$(SRCDIR)/config/$(CPU)
KERNEL_ASMOBJS := $(KERNEL_ASMOBJS) cpu_support.o
KERNEL_COBJS := $(KERNEL_COBJS) cpu_config.o

#
#  スタートアップモジュールに関する定義
#
START_OBJS = start.o

$(START_OBJS): %.o: %.S
	$(CC) -c $(CFLAGS) $(KERNEL_CFLAGS) $<

$(START_OBJS:.o=.d): %.d: %.S
	@$(PERL) $(SRCDIR)/utils/makedep -C $(CC) \
		-O "$(CFLAGS) $(KERNEL_CFLAGS)" $< >> Makefile.depend
